package com.ruoyi.interfaces.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 元数据表对象 sys_meta_table
 * 
 * @author 朱得糠
 * @date 2025-08-02
 */
public class SysMetaTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据源标识 */
    private String dsCode;

    /** 元数据表名 */
    private String metaTable;

    /** 元数据表中文名 */
    @Excel(name = "元数据表中文名")
    private String metaName;

    /** 元数据类型 */
    @Excel(name = "元数据类型")
    private String metaType;

    /** META_CATALOG */
    @Excel(name = "META_CATALOG")
    private String metaCatalog;

    /** META_SCHEMA */
    @Excel(name = "META_SCHEMA")
    private String metaSchema;

    /** 元数据表说明 */
    @Excel(name = "元数据表说明")
    private String metaNote;

    /**
     * 排序
     */
    private Integer metaSort;

    public SysMetaTable(String dsCode, String metaTable, String metaName, String metaType, String metaCatalog, String metaSchema, String metaNote, Integer metaSort) {
        this.dsCode = dsCode;
        this.metaTable = metaTable;
        this.metaName = metaName;
        this.metaType = metaType;
        this.metaCatalog = metaCatalog;
        this.metaSchema = metaSchema;
        this.metaNote = metaNote;
        this.metaSort = metaSort;
    }

    public SysMetaTable() {
    }

    public Integer getMetaSort() {
        return metaSort;
    }

    public void setMetaSort(Integer metaSort) {
        this.metaSort = metaSort;
    }

    public void setDsCode(String dsCode)
    {
        this.dsCode = dsCode;
    }

    public String getDsCode() 
    {
        return dsCode;
    }
    public void setMetaTable(String metaTable) 
    {
        this.metaTable = metaTable;
    }

    public String getMetaTable() 
    {
        return metaTable;
    }
    public void setMetaName(String metaName) 
    {
        this.metaName = metaName;
    }

    public String getMetaName() 
    {
        return metaName;
    }
    public void setMetaType(String metaType) 
    {
        this.metaType = metaType;
    }

    public String getMetaType() 
    {
        return metaType;
    }
    public void setMetaCatalog(String metaCatalog) 
    {
        this.metaCatalog = metaCatalog;
    }

    public String getMetaCatalog() 
    {
        return metaCatalog;
    }
    public void setMetaSchema(String metaSchema) 
    {
        this.metaSchema = metaSchema;
    }

    public String getMetaSchema() 
    {
        return metaSchema;
    }
    public void setMetaNote(String metaNote) 
    {
        this.metaNote = metaNote;
    }

    public String getMetaNote() 
    {
        return metaNote;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dsCode", getDsCode())
            .append("metaTable", getMetaTable())
            .append("metaName", getMetaName())
            .append("metaType", getMetaType())
            .append("metaCatalog", getMetaCatalog())
            .append("metaSchema", getMetaSchema())
            .append("metaNote", getMetaNote())
            .toString();
    }
}
